about summary refs log tree commit diff
diff options
context:
space:
mode:
authorDominik Maier <domenukk@gmail.com>2020-04-26 01:59:38 +0200
committerDominik Maier <domenukk@gmail.com>2020-04-26 01:59:38 +0200
commitb26ee09f71907e1bcaca0a73cee3accd11580c9f (patch)
tree067b4a10085bc59ea386a06d8c39169aee9d377d
parentfb89b042f878e450f719d3303a6c4f777dbae0b1 (diff)
downloadafl++-b26ee09f71907e1bcaca0a73cee3accd11580c9f.tar.gz
minor fixes
-rw-r--r--src/afl-forkserver.c6
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh4
2 files changed, 4 insertions, 6 deletions
diff --git a/src/afl-forkserver.c b/src/afl-forkserver.c
index 555b82a4..d5a60077 100644
--- a/src/afl-forkserver.c
+++ b/src/afl-forkserver.c
@@ -53,9 +53,7 @@
 
 /* Describe integer as memory size. */
 
-list_t fsrv_list = {.element_prealloc_count = 0};
-
-void report_error_and_exit(int error);
+static list_t fsrv_list = {.element_prealloc_count = 0};
 
 static void fsrv_exec_child(afl_forkserver_t *fsrv, char **argv) {
 
@@ -203,7 +201,7 @@ static void afl_fauxsrv_execv(afl_forkserver_t *fsrv, char **argv) {
 }
 
 /* Report on the error received via the forkserver controller and exit */
-void report_error_and_exit(int error) {
+static void report_error_and_exit(int error) {
 
   switch (error) {
 
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index d84d8635..965d7614 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -182,8 +182,8 @@ echo "[+] Configuration complete."
 echo "[*] Attempting to build unicornafl (fingers crossed!)..."
 
 $MAKECMD clean  # make doesn't seem to work for unicorn
-#UNICORN_QEMU_FLAGS="--python=$PYTHONBIN" $MAKECMD -j$CORES || exit 1
-UNICORN_QEMU_FLAGS="--python=$PYTHONBIN" $MAKECMD || exit 1
+# Fixed to 1 core for now as there is a race condition in the makefile
+UNICORN_QEMU_FLAGS="--python=$PYTHONBIN" $MAKECMD -j1 || exit 1
 
 echo "[+] Build process successful!"